<?php
  v2("Profiles", "setCfg", "MailFrom", "noreply@archa.cz");
  v2("Profiles", "setCfg", "MailSrc", "");
  v2("Profiles", "setCfg", "UseSha1", TRUE);
  v2("Profiles", "setCfg", "XMLSync", FALSE);

  v2("Profiles", "setTblPrefix", "");
  v2("Profiles", "setTblPrefixLocal", "");
  
  $confActions = array();
  $confActions[] = array("sys"  =>  1,
                         "act"  =>  "SYS_LOGIN"
                         );
  v2("Profiles", "setCfg", "ConfActions", $confActions);

  $profileNew = array(
                       "label_obecne"=>array(
                                          "type"    => "label",
                                          "label"   => "Osobní a přihlašovací údaje"),
                       "lname"  => array( "type"    => "text",
                                          "label"   => "Příjmení",
                                          "size"    => 20,
                                          "max"     => 60,
                                          "req"     => 1),
                       "fname"  => array( "type"    => "text",
                                          "label"   => "Jméno",
                                          "size"    => 20,
                                          "max"     => 40,
                                          "req"     => 1),
                       "mail"   => array( "type"    => "text",
                                          "label"   => "E-mail",
                                          "size"    => 20,
                                          "max"     => 60,
//                                           "default" => NULL,
                                          "match"   => "#ValidateMail",
                                          "req"     => 0),
                       "tel"   => array( "type"    => "text",
                                        "label"   => "Telefon",
                                        "match"   => "/^[0-9]{9}$/",
                                        "comment" => "123456789",
                                        "size"    => 8,
                                        "max"     => 13,
                                        // "default" => "",
                                        "req"     => 0),
                       "login"  => array( "type"    => "copy",
                                          "hide"    =>  TRUE,
                                          "label"   => "Login",
                                          "default" => "mail"),
                       "pwd"    => array( "type"    => "password",
                                          "label"   => "Heslo",
                                          "size"    => 20,
                                          "max"     => 60,
                                          //"default" => "",
                                          "req"     => 1),
                       "__pwd2"   => array( "type"    => "password",
                                          "label"   => "Ověření hesla",
                                          "size"    => 20,
                                          "max"     => 60,
                                          //"default" => "",
                                          "match"   => "=pwd",
                                          "req"     => 1),
/*
                       "_SEND_NEWS"=>array( "type"    => "check",
                                          "label"   => "Zasílat e-mail s newsletterem",
                                          "default" => 1),

                       "label_fakturacni"=>array(
                                          "type"    => "label",
                                          "label"   => "Fakturační údaje"),
                       "address"=> array( "type"    => "text",
                                          "label"   => "Ulice, č.p.",
                                          "size"    => 20,
                                          "max"     => 60,
                                          "req"     => 1,
                                          "comment" => ""),
                       "city"  => array( "type"     => "text",
                                          "label"   => "Město",
                                          "size"    => 20,
                                          "max"     => 60,
                                          "req"     => 1,
                                          "comment" => ""),
                       "zip"   => array( "type"     => "text",
                                          "label"   => "PSČ",
                                          "size"    => 6,
                                          "max"     => 10,
                                          "match"   => "/^\d{5}$|^$/",
                                          "req"     => 1,
                                          "comment" => "12345"),
                       "_COMPANY_NAME"  => array( "type"    => "text",
                                          "label"   => "Název firmy",
                                          "size"    => 20,
                                          "max"     => 60,
                                          "req"     => 0),
                       "_ICO"  => array( "type"    => "text",
                                          "label"   => "IČO",
                                          "size"    => 20,
                                          "max"     => 60,
                                          "req"     => 0),
                       "_DIC"  => array( "type"    => "text",
                                          "label"   => "DIČ",
                                          "size"    => 20,
                                          "max"     => 60,
                                          "req"     => 0),


                       "label_dodaci"=>array(
                                          "type"    => "label",
                                          "label"   => "Dodací adresa (nevyplňujte pokud je shodná s adresou fakturační)"),
                       "_DELIV_COMPANY"  => array( "type"    => "text",
                                          "label"   => "Název firmy",
                                          "size"    => 20,
                                          "max"     => 60,
                                          "req"     => 0),
                       "_DELIV_NAME"  => array( "type"    => "text",
                                          "label"   => "Příjmení a jméno",
                                          "size"    => 20,
                                          "max"     => 150,
                                          "req"     => 0),
                       "_DELIV_ADDRESS"=> array( "type"   => "text",
                                                 "label"   => "Ulice, ČP",
                                                 "req"     => 0,
                                                 "comment" => "",
                                                 "size"   =>  20,
                                                 "max"    =>  30,
                                          ),
                       "_DELIV_CITY"  => array( "type"     => "text",
                                          "label"   => "Město",
                                          "req"     => 0,
                                          "size"    => 20,
                                          "max"     => 60,
                                          "comment" => ""),
                       "_DELIV_ZIP"   => array( "type"     => "text",
                                          "label"   => "PSČ",
                                          "req"     => 0,
                                          "size"    => 6,
                                          "max"     => 5,
                                          "match"   => "/^\d{5}$|^$/",
                                          "comment" => "12345"),
                      "_DELIV_SUBNAME"=> array( "type"    => "text",
                                        "label"   => "Upřesnění",
                                        "comment" => "1. patro",
                                        "size"    => 20,
                                        "max"     => 50,
                                        "req"     => 0),

                      
                       "__licence"=> array( "type"    => "check",
                                          "label"   => "Souhlasím s obchodními podmínkami",
                                          "default" => 1,
                                          "match"   => 1,
                                          "link"    => "/rubrika/299-o-nas-obchodni-podminky-a-reklamacni-rad/info.htm",
                                          "req"     => 1),
*/
                     );
  v2("Profiles", "setCfg", "ProfileNew", $profileNew);
 
  //adaptace vytvareciho formulare pro editaci (hesla nejsou pri editaci povinny atp.)
  $profileEdit = $profileNew;
  $profileEdit["mail"]["static"] = TRUE;
  unset($profileEdit["pwd"]["req"]);
  unset($profileEdit["__pwd2"]["req"]);
  unset($profileEdit["login"]);
  $profileEdit["pwd"]["comment"]="pokud nechcete heslo měnit,";
  $profileEdit["__pwd2"]["comment"]="nechte pole nevyplněná";
  unset($profileEdit["__licence"]);
  
  unset($profileEdit['label_dodaci']);
  unset($profileEdit['_DELIV_COMPANY']);
  unset($profileEdit['_DELIV_NAME']);
  unset($profileEdit['_DELIV_ADDRESS']);
  unset($profileEdit['_DELIV_CITY']);
  unset($profileEdit['_DELIV_ZIP']);
  unset($profileEdit['_DELIV_SUBNAME']);
  
  v2("Profiles", "setCfg", "ProfileEdit", $profileEdit);
